| Home | Libraries | People | FAQ | More

## Function template any_of

boost::algorithm::any_of

## Synopsis

    // In header: <boost/algorithm/cxx11/any_of.hpp>

    template<typename InputIterator, typename Predicate>
      bool any_of(InputIterator first, InputIterator last, Predicate p);

## Description

| Note
returns false on an empty range

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | A predicate for testing the elements of the sequence

Returns: | true if any of the elements in [first, last) satisfy the predicate